Skip to main content
GET
/
v1
/
panel-tickets
Get all panel tickets
curl --request GET \
  --url https://dev.flextell.ai/api/v1/panel-tickets \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "code": "<string>",
      "subject": "<string>",
      "description": "<string>",
      "status": "<string>",
      "status_label": "<string>",
      "admin_notes": "<string>",
      "user_id": 123,
      "tenant_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "user": {
        "id": 123,
        "name": "<string>"
      },
      "tenant": {
        "id": 123,
        "name": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

status
enum<string>

Filter by status.

Available options:
open,
processing,
resolved,
closed
search
string | null

The search query.

Maximum string length: 255
sort_by
enum<string> | null

The field to sort by.

Available options:
created_at,
updated_at,
status,
code
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1

Response

Array of PanelTicketResource

data
PanelTicketResource · object[]
required